from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XVclContainerPeer(XInterface, Protocol):
    def enableDialogControl(self, bEnable: bool) -> None: ...
    def setTabOrder(self, WindowOrder: XWindow>, Tabs: sequence<any>, GroupControl: bool) -> None: ...
    def setGroup(self, Windows: XWindow>) -> None: ...
